Summary:        A random number generator daemon
Name:           rng-tools
Version:        6.16
Release:        5%{?dist}
License:        GPLv2+
URL:            https://github.com/nhorman/rng-tools
Source0:        https://github.com/nhorman/rng-tools/archive/refs/tags/v%{version}.tar.gz
Source1:        rngd.service
Source2:        rngd.sysconfig

BuildRequires:	systemd systemd-rpm-macros libgcrypt-devel libcurl-devel
BuildRequires:	libxml2-devel openssl-devel jitterentropy-devel
BuildRequires:	jansson-devel libcap-devel
BuildRequires:	gcc make binutils gettext autoconf automake
Requires:		selinux-policy >= 36.5
%{?systemd_requires}

%description
rngd is a random number generator daemon. It monitors a set of 
entropy sources, and supplies entropy from them to the system 
kernel's /dev/random machinery.

%prep
%autosetup

%build
export CFLAGS="$CFLAGS -DJENT_CONF_ENABLE_INTERNAL_TIMER"
./autogen.sh
%configure --without-pkcs11 --without-rtlsdr
%make_build

%install
%make_install

install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/rngd.service
install -D -p -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/rngd

rm -f %{buildroot}%{_bindir}/randstat

%post
%systemd_post rngd.service

%preun
%systemd_preun rngd.service

%postun
%systemd_postun_with_restart rngd.service

%files
%license COPYING
%doc AUTHORS README
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/sysconfig/rngd
%attr(0644,root,root) %{_unitdir}/rngd.service
%{_bindir}/rngtest
%{_sbindir}/rngd
%{_mandir}/man1/rngtest.1.*
%{_mandir}/man8/rngd.8.*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.16-5
- Rebuilt for loongarch release

* Tue Mar 19 2024 Rebuild Robot <rebot@opencloudos.org> - 6.16-4
- Rebuilt for jansson

* Thu Oct 12 2023 Miaojun Dong <zoedong@tencent.com> - 6.16-3
- Rebuild for curl-8.4.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.16-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Jul 14 2023 Xiaojie Chen <jackxjchen@tencent.com> - 6.16-1
- Upgrade to upstream version 6.16

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.15-4.20220714git6a3a484d
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.15-3.20220714git6a3a484d
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 28 2022 Shuo Wang <abushwang@tencent.com> - 6.15-2
- update conf

* Mon Jul 18 2022 Xiaojie Chen <jackxjchen@tencent.com> - 6.15-1
- Initial build
